Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159284 - 2 * local variable used before set
Summary: 2 * local variable used before set
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2-engines
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 12:50 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 17:23:44 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-01 12:50:55 UTC
Description of problem:

I just tried to compile package gtk2-engines-2.6.3-2 from Redhat
Fedora Core development tree with the most excellent Intel C compiler.

The compiler said

1.

./src/engine/smooth_gtk2_drawing.c(983): remark #592: variable "base" is used
before its value is set

The source code is

	SmoothDrawLineBevel (line_bevel, Canvas, base, X, X + Width, Y + (Height / 2),
TRUE);

Suggest initialise local variable "base" before first use.

2.

./src/engine/smooth_gtk2_drawing.c(1814): remark #592: variable "base" is used
before its value is set

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2005-06-21 17:23:44 UTC
Tracked upstream in http://bugzilla.gnome.org/show_bug.cgi?id=308551


Note You need to log in before you can comment on or make changes to this bug.